org.apache.ignite.internal.pagemem.wal.record

## Class LazyDataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry
  - - org.apache.ignite.internal.pagemem.wal.record.LazyDataEntry

All Implemented Interfaces:
  MarshalledDataEntry

    public class LazyDataEntry
    extends DataEntry
    implements MarshalledDataEntry

Represents Data Entry (`key()`, `value`) pair update `operation`.
This Data entry was not converted to key, value pair during record deserialization.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVer, op, partCnt, partId, val, writeVer`

### Constructor Summary

Constructors
Constructor and Description
`LazyDataEntry(GridCacheSharedContext cctx, int cacheId, byte keyType, byte[] keyBytes, byte valType, byte[] valBytes, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getKeyBytes()`
`byte` `getKeyType()`
`byte[]` `getValBytes()`
`byte` `getValType()`
`KeyCacheObject` `key()`
`CacheObject` `value()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, nearXidVersion, op, partitionCounter, partitionCounter, partitionId, toString, writeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LazyDataEntry

    public LazyDataEntry(GridCacheSharedContext cctx,
                         int cacheId,
                         byte keyType,
                         byte[] keyBytes,
                         byte valType,
                         byte[] valBytes,
                         GridCacheOperation op,
                         GridCacheVersion nearXidVer,
                         GridCacheVersion writeVer,
                         long expireTime,
                         int partId,
                         long partCnt)

Parameters:
  `cctx` - Shared context.
  `cacheId` - Cache ID.
  `keyType` - Object type code for Key.
  `keyBytes` - Data Entry Key value bytes.
  `valType` - Object type code for Value.
  `valBytes` - Data Entry Value value bytes.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `expireTime` - Expire time.
  `partId` - Partition ID.
  `partCnt` - Partition counter.

### Method Detail

#### key

    public KeyCacheObject key()

Overrides:
  `key` in class `DataEntry`
Returns:
  Key cache object.

#### value

    public CacheObject value()

Overrides:
  `value` in class `DataEntry`
Returns:
  Value cache object.

#### getKeyType

    public byte getKeyType()

Specified by:
  `getKeyType` in interface `MarshalledDataEntry`
Returns:
  Data Entry Key type code. See `CacheObject` for built-in value type codes.

#### getKeyBytes

    public byte[] getKeyBytes()

Specified by:
  `getKeyBytes` in interface `MarshalledDataEntry`
Returns:
  Key value bytes.

#### getValType

    public byte getValType()

Specified by:
  `getValType` in interface `MarshalledDataEntry`
Returns:
  Data Entry Value type code. See `CacheObject` for built-in value type codes.

#### getValBytes

    public byte[] getValBytes()

Specified by:
  `getValBytes` in interface `MarshalledDataEntry`
Returns:
  Value value bytes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021